//==============================================================================  
// OrbiterMicroNode_2.0.0.136_Release
// www.unionplatform.com
// Release Date: 27-July-2012
// (c) Copyright USER1 Subsystems Corporation
//==============================================================================

// Create a navigator object to supply OrbiterMicro with client information 
var os = require('os');
var navigator = {userAgent: 'Node.JS ' + process.version,
                 platform: os.type()};

// Load a Node impelemntation of the browser's XMLHttpRequest object
var XMLHttpRequest = require('./lib/XMLHttpRequest').XMLHttpRequest;

// Load a Node impelemntation of the browser's WebSocket object. Default to
// Hybi (the latest standard). To emulate older browsers (e.g., iOS 4),
// run useHixie76WebSocket() before connecting to Union Server.
var Hixie76WebSocket = require('./lib/WebSocketHixie76').WebSocket;
var HybiWebSocket = require('./lib/WebSocketHybi').WebSocket;

exports.useHybiWebSocket = function () {
  console.log('WebSocket protocol [Hybi] selected.');
  WebSocket = HybiWebSocket;
}

exports.useHixie76WebSocket = function () {
  console.log('WebSocket protocol [Hixie-76] selected.');
  WebSocket = Hixie76WebSocket;
}

exports.useHybiWebSocket();

// Load the OrbiterMicro library. (Can't use require() here because OrbiterMicro
// is a pure javascript library, not a Node.JS module.)
var fs = require('fs');
var libFileName;
fs.readdirSync(__dirname + '/lib').forEach(function (filename) {
  if (filename.indexOf('OrbiterMicro') == 0) {
    libFileName = filename;
  }
});
filedata = fs.readFileSync(__dirname + '/lib/' + libFileName,'utf8');
eval(filedata);

// Make OrbiterMicro's root object (net) and XMLHttpRequest accessible to
// the code that loaded this module 
exports.net = this.net;
exports.XMLHttpRequest = XMLHttpRequest;

// Output a "load complete" message
console.log('OrbiterMicroNode 2.0.0.136 loaded. Library: ' + libFileName);